# Sculpt

## Overview

Sculpt Layers enable you to design a terrain from scratch or modify an existing terrain you created procedurally to fit your requirements. As the name suggests, sculpt layers enable you to sculpt the terrain. You can use your mouse and keyboard, but it is recommended to employ a graphics tablet, such as the Wacom Cintiq Pro (World Creator also supports other graphics tablets).

## Video Guides

{% tabs %}
{% tab title="World Creator Guide" %}
{% embed url="<https://vimeo.com/1029709224>" %}

{% endtab %}

{% tab title="Guide by Design with TP " %}
{% embed url="<https://www.youtube.com/watch?t=142s&v=FhrNne70yII>" %}
{% endtab %}
{% endtabs %}

## Layer Parameters

### Sculpt Settings

Allows you to import/export and edit the sculpt layer.

### Layer Settings

<table><thead><tr><th width="179.699951171875">Properties</th><th>Description</th></tr></thead><tbody><tr><td><strong>Resolution</strong></td><td>Allows you to set the resolution of the sculpt layer, increase this to sculpt with finer detail. </td></tr><tr><td>B<strong>ase Shape Preview</strong></td><td>Stops World Creator from applying its filters while moving the area or sculpting the terrain. This improves the performance on GPUs with lower specifications. </td></tr></tbody></table>

{% hint style="info" %}
Usually a resolution 32x32px is enough since you most of the time want shape layers to operate on the lower level steps so that World Creators filter stack has enough levels to operate on.
{% endhint %}

## Editing Parameters

### Brush Tools

Classical brush tools like in other applications. Choose your preferred tool by clicking on it, and then draw with your mouse (press the left mouse button on the terrain). The following functions are available:

<table><thead><tr><th width="179.699951171875">Properties</th><th>Description</th></tr></thead><tbody><tr><td><strong>Raise</strong></td><td>Adds material to the terrain.</td></tr><tr><td><strong>Lower</strong></td><td>Removes material from the terrain.</td></tr><tr><td><strong>Smooth</strong></td><td>Averages the height under the brush.</td></tr><tr><td><strong>Flatten</strong></td><td>Flattens the terrain according to the <strong>Flatten Height</strong> in the parameters below.</td></tr><tr><td><strong>Rotate</strong></td><td>Lets you rotate the terrain in your brush radius around your clicked point.</td></tr><tr><td><strong>Scale</strong></td><td>Scales the terrain in your brush radius from the point where you clicked</td></tr><tr><td><strong>Tilt</strong></td><td>Tilts the brush area towards the mouse. Move the mouse outwards to increase the slope.</td></tr><tr><td><strong>Push/Pull</strong></td><td>Allows you to drag &#x26; drop the terrain up/down.</td></tr><tr><td><strong>Align</strong></td><td>Flattens the terrain according to the point where you clicked.</td></tr></tbody></table>

### Grid Tools

World Creator has grid tools to improve performance and provide new possibilities and functions. The concept involves manipulating terrain using an underlying grid. The workflow entails selecting grid cells using a brush and then manipulating them accordingly.

<table><thead><tr><th width="179.699951171875">Properties</th><th>Description</th></tr></thead><tbody><tr><td><strong>Add</strong></td><td>Raises or lowers the terrain.</td></tr><tr><td><strong>Align</strong></td><td>Flattens the terrain to the height your cursor was at when you clicked.</td></tr><tr><td><strong>Duplicate</strong></td><td>Allows you to copy your selected area to another spot on the terrain.</td></tr><tr><td><strong>Rotate</strong></td><td>Rotates the selected area along your mouse direction.</td></tr><tr><td><strong>Scale</strong></td><td>Scales the selected area according to your mouse distance.<br></td></tr><tr><td><strong>Tilt</strong></td><td>Tilts your selection in the direction you moved your mouse after clicking. Move the mouse outwards to increase the slope.</td></tr><tr><td><strong>Pull</strong></td><td>Raises the selected area.</td></tr><tr><td><strong>Push</strong></td><td>Lowers the selected area.</td></tr></tbody></table>

### Actions

The operations are utilized to rapidly implement precise modifications. Please refer to the list below to understand the function of each operation.

<table><thead><tr><th width="179.699951171875">Properties</th><th>Description</th></tr></thead><tbody><tr><td><strong>Flip X</strong></td><td>Flips the terrain along the X axis.</td></tr><tr><td><strong>Flip Y</strong></td><td>Flips the terrain along the Y axis.</td></tr><tr><td><strong>Rot Left</strong></td><td>Rotates the terrain by 90°.</td></tr><tr><td><strong>Rot Right</strong></td><td>Rotates the terrain by 90°.</td></tr><tr><td><strong>Flatten</strong></td><td>Flattens the whole terrain.</td></tr></tbody></table>

### Universal

<table><thead><tr><th width="179.699951171875">Properties</th><th>Description</th></tr></thead><tbody><tr><td><strong>Operation Mode</strong></td><td>Allows you to restrict modifications only to happen additive or subtractive.</td></tr><tr><td><strong>Falloff Mode</strong></td><td>Offers different brush falloff modes.</td></tr><tr><td><strong>Radius</strong></td><td>The radius of the brush.</td></tr><tr><td><strong>Smooth</strong></td><td>The size of the brush smoothing.</td></tr></tbody></table>

### Brush Settings

<table><thead><tr><th width="179.699951171875">Properties</th><th>Description</th></tr></thead><tbody><tr><td><strong>Brush</strong></td><td>Allows you to specify several preinstalled brushes as well as import your own custom brushes.</td></tr><tr><td><strong>Strength</strong></td><td>Controls the strength of the current selected brush.</td></tr><tr><td><strong>Height Change</strong></td><td>How much height is added/subtracted by the brush.</td></tr><tr><td><strong>Flatten Height</strong></td><td>The target height for the flatten.</td></tr><tr><td><strong>Rotation</strong></td><td>Rotates the brush pattern.</td></tr><tr><td><strong>Random Rotation</strong></td><td>Adds random rotation to the brush pattern.</td></tr><tr><td><strong>Align to Draw Direction</strong></td><td>Orients the brush pattern to the drawing direction.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.world-creator.com/reference/terrain/shape-layers/sculpt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
